Bug 1020053 - [abrt] gtk-redshift-1.7-5.fc19: _PyType_Lookup: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] gtk-redshift-1.7-5.fc19: _PyType_Lookup: Process /usr/bin/python2.7 wa...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: redshift (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miloš Komarčević
Fedora Extras Quality Assurance
abrt_hash:7720935a3e2b9b799f5bac56f90...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 18:10 EDT by Fedor Butikov
Modified: 2015-02-17 12:42 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:42:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.72 KB, text/plain)
2013-10-16 18:10 EDT, Fedor Butikov
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-16 18:10 EDT, Fedor Butikov
no flags Details
File: core_backtrace (12.05 KB, text/plain)
2013-10-16 18:10 EDT, Fedor Butikov
no flags Details
File: dso_list (9.62 KB, text/plain)
2013-10-16 18:10 EDT, Fedor Butikov
no flags Details
File: environ (2.48 KB, text/plain)
2013-10-16 18:10 EDT, Fedor Butikov
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-16 18:10 EDT, Fedor Butikov
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-16 18:10 EDT, Fedor Butikov
no flags Details
File: maps (47.82 KB, text/plain)
2013-10-16 18:10 EDT, Fedor Butikov
no flags Details
File: open_fds (839 bytes, text/plain)
2013-10-16 18:10 EDT, Fedor Butikov
no flags Details
File: proc_pid_status (902 bytes, text/plain)
2013-10-16 18:10 EDT, Fedor Butikov
no flags Details
File: var_log_messages (321 bytes, text/plain)
2013-10-16 18:10 EDT, Fedor Butikov
no flags Details

  None (edit)
Description Fedor Butikov 2013-10-16 18:10:16 EDT
Version-Release number of selected component:
gtk-redshift-1.7-5.fc19

Additional info:
reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        python /bin/gtk-redshift -l 55.604679:38.104409 manual
crash_function: _PyType_Lookup
executable:     /usr/bin/python2.7
kernel:         3.11.4-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _PyType_Lookup at /usr/src/debug/Python-2.7.5/Objects/typeobject.c:2531
 #1 lookup_maybe at /usr/src/debug/Python-2.7.5/Objects/typeobject.c:1204
 #2 _PyObject_LookupSpecial at /usr/src/debug/Python-2.7.5/Objects/typeobject.c:1228
 #3 special_lookup at /usr/src/debug/Python-2.7.5/Python/ceval.c:3357
 #4 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:2619
 #5 PyEval_EvalCodeEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:3330
 #6 fast_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4194
 #7 call_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4119
 #8 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:2740
 #9 PyEval_EvalCodeEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:3330
Comment 1 Fedor Butikov 2013-10-16 18:10:20 EDT
Created attachment 813108 [details]
File: backtrace
Comment 2 Fedor Butikov 2013-10-16 18:10:23 EDT
Created attachment 813109 [details]
File: cgroup
Comment 3 Fedor Butikov 2013-10-16 18:10:26 EDT
Created attachment 813110 [details]
File: core_backtrace
Comment 4 Fedor Butikov 2013-10-16 18:10:29 EDT
Created attachment 813111 [details]
File: dso_list
Comment 5 Fedor Butikov 2013-10-16 18:10:32 EDT
Created attachment 813112 [details]
File: environ
Comment 6 Fedor Butikov 2013-10-16 18:10:35 EDT
Created attachment 813113 [details]
File: exploitable
Comment 7 Fedor Butikov 2013-10-16 18:10:38 EDT
Created attachment 813114 [details]
File: limits
Comment 8 Fedor Butikov 2013-10-16 18:10:40 EDT
Created attachment 813115 [details]
File: maps
Comment 9 Fedor Butikov 2013-10-16 18:10:43 EDT
Created attachment 813116 [details]
File: open_fds
Comment 10 Fedor Butikov 2013-10-16 18:10:46 EDT
Created attachment 813117 [details]
File: proc_pid_status
Comment 11 Fedor Butikov 2013-10-16 18:10:49 EDT
Created attachment 813118 [details]
File: var_log_messages
Comment 12 Miro Hrončok 2014-01-29 06:13:43 EST
Happend when I select Quit from context menu. While quiting, it SIGSEGVs. Always.
Comment 13 Michael Hampton 2014-04-21 23:27:09 EDT
Occurred when selecting Quit from redshift-gtk.

Package versions:

redshift-1.8-1.fc20.x86_64
redshift-gtk-1.8-1.fc20.x86_64
Comment 14 Fedora End Of Life 2015-01-09 15:16:53 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-02-17 12:42:58 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.